%define api 5
%define major 1
%define oname qt5

%define module qtenginio

%define enginio %mklibname enginio %{major}
%define enginiod %mklibname enginio -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	1.6.1
Release:	1
# Moved to individual submodule with version 1.6.0 instead of 5.x
Epoch:		1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)
%if %{with docs}
BuildRequires:	qdoc5
# Needed to generate indexes properly
BuildRequires:	qt5-qtbase-doc
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{enginio}
Summary:	Enginio (Qt Cloud Storage) library
Group:		Development/KDE and Qt

%description -n %{enginio}
Enginio (Qt Cloud Storage) library

%files -n %{enginio}
%{_qt5_libdir}/libEnginio.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libEnginio.so.%{major}*
%endif
%{_qt5_prefix}/qml/Enginio

#----------------------------------------------------------------------------

%package -n %{enginiod}
Summary:	Development files for Enginio (Qt Cloud Storage)
Group:		Development/KDE and Qt
Requires:	%{enginio} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{enginiod}
Development files for Enginio (Qt Cloud Storage)

%files -n %{enginiod}
%{_qt5_includedir}/Enginio
%{_qt5_libdir}/libEnginio.so
%{_qt5_libdir}/libEnginio.prl
%{_qt5_libdir}/cmake/Qt%{api}Enginio
%{_libdir}/pkgconfig/Enginio.pc
%{_qt5_prefix}/mkspecs/modules/qt_lib_enginio.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_enginio_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtenginio.qch
%{_qt5_docdir}/qtenginiooverview.qch
%{_qt5_docdir}/qtenginioqml.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/enginio/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in lib*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Sun Jun 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:1.6.1-1
- (ec971f8) New version 1.6.1


